<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: argos Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">argos Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">CCrazyflieBatteryDefaultSensor</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">CCrazyflieBatteryEquippedEntity</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">CCrazyflieCameraEquippedEntity</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation.html">CCrazyfliePerspectiveCameraLEDCheckOperation</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">CPointMass3DCrazyflieModel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLOperationDrawCrazyflieNormal.html">CQTOpenGLOperationDrawCrazyflieNormal</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLOperationDrawCrazyflieSelected.html">CQTOpenGLOperationDrawCrazyflieSelected</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html">CQTOpenGLCrazyflie</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a8fa76cc501e50bccf483198c034cdeff"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html#a8fa76cc501e50bccf483198c034cdeff">REGISTER_SENSOR</a> (<a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">CCrazyflieBatteryDefaultSensor</a>, &quot;crazyflie_battery&quot;, &quot;default&quot;, &quot;Daniel H. Stolfi based on the Adhavan Jayabalan's work&quot;, &quot;1.0&quot;, &quot;A battery level sensor for Crazyflie drones.&quot;, &quot;This sensor returns the current battery level of a Crazyflie drone. In\n&quot; &quot;controllers, you must include the ci_battery_sensor.h header.\n\n&quot; &quot;This sensor is enabled by default.\n\n&quot; &quot;REQUIRED XML CONFIGURATION\n\n&quot; &quot;  &lt;controllers&gt;\n&quot; &quot;    ...\n&quot; &quot;    &lt;my_controller ...&gt;\n&quot; &quot;      ...\n&quot; &quot;      &lt;sensors&gt;\n&quot; &quot;        ...\n&quot; &quot;        &lt;crazyflie_battery implementation=\&quot;default\&quot; /&gt;\n&quot; &quot;        ...\n&quot; &quot;      &lt;/sensors&gt;\n&quot; &quot;      ...\n&quot; &quot;    &lt;/my_controller&gt;\n&quot; &quot;    ...\n&quot; &quot;  &lt;/controllers&gt;\n\n&quot; &quot;OPTIONAL XML CONFIGURATION\n\n&quot; &quot;It is possible to add uniform noise to the sensor, thus matching the\n&quot; &quot;characteristics of a real robot better. You can add noise through the\n&quot; &quot;attribute 'noise_range' as follows:\n\n&quot; &quot;  &lt;controllers&gt;\n&quot; &quot;    ...\n&quot; &quot;    &lt;my_controller ...&gt;\n&quot; &quot;      ...\n&quot; &quot;      &lt;sensors&gt;\n&quot; &quot;        ...\n&quot; &quot;        &lt;crazyflie_battery implementation=\&quot;default\&quot;\n&quot; &quot;                           noise_range=\&quot;-0.3:0.4\&quot; /&gt;\n&quot; &quot;        ...\n&quot; &quot;      &lt;/sensors&gt;\n&quot; &quot;      ...\n&quot; &quot;    &lt;/my_controller&gt;\n&quot; &quot;    ...\n&quot; &quot;  &lt;/controllers&gt;\n\n&quot;, &quot;Usable&quot;)</td></tr>
<tr class="separator:a8fa76cc501e50bccf483198c034cdeff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adaf61577fa52c91edf29de52f1403ebd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html#adaf61577fa52c91edf29de52f1403ebd">REGISTER_STANDARD_SPACE_OPERATIONS_ON_ENTITY</a> (<a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">CCrazyflieBatteryEquippedEntity</a>)</td></tr>
<tr class="separator:adaf61577fa52c91edf29de52f1403ebd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f9885781b0a8c7ef4b0308a4a48916a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html#a9f9885781b0a8c7ef4b0308a4a48916a">REGISTER_STANDARD_SPACE_OPERATIONS_ON_ENTITY</a> (<a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">CCrazyflieCameraEquippedEntity</a>)</td></tr>
<tr class="separator:a9f9885781b0a8c7ef4b0308a4a48916a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b53c1127b6f64cfdf89fc17e614d8c1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html#a1b53c1127b6f64cfdf89fc17e614d8c1">REGISTER_SENSOR</a> (<a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a>, &quot;crazyflie_colored_blob_perspective_camera&quot;, &quot;default&quot;, &quot;Daniel H. Stolfi based on Carlo Pinciroli's work&quot;, &quot;1.0&quot;, &quot;A generic perspective camera sensor to detect colored blobs.&quot;, &quot;This sensor accesses an perspective camera that detects colored blobs. The\n&quot; &quot;sensor returns a list of blobs, each defined by a color and a position with\n&quot; &quot;respect to the robot reference point on the ground. In controllers, you must\n&quot; &quot;include the ci_colored_blob_perspective_camera_sensor.h header.\n\n&quot; &quot;This sensor is disabled by default, and must be enabled before it can be\n&quot; &quot;used.\n\n&quot; &quot;REQUIRED XML CONFIGURATION\n\n&quot; &quot;  &lt;controllers&gt;\n&quot; &quot;    ...\n&quot; &quot;    &lt;my_controller ...&gt;\n&quot; &quot;      ...\n&quot; &quot;      &lt;sensors&gt;\n&quot; &quot;        ...\n&quot; &quot;        &lt;colored_blob_perspective_camera implementation=\&quot;default\&quot;\n&quot; &quot;                                         medium=\&quot;leds\&quot; /&gt;\n&quot; &quot;        ...\n&quot; &quot;      &lt;/sensors&gt;\n&quot; &quot;      ...\n&quot; &quot;    &lt;/my_controller&gt;\n&quot; &quot;    ...\n&quot; &quot;  &lt;/controllers&gt;\n\n&quot; &quot;The 'medium' attribute must be set to the id of the leds medium declared in the\n&quot; &quot;&lt;media&gt; section.\n\n&quot; &quot;OPTIONAL XML CONFIGURATION\n\n&quot; &quot;It is possible to draw the rays shot by the camera sensor in the OpenGL\n&quot; &quot;visualization. This can be useful for sensor debugging but also to understand\n&quot; &quot;what's wrong in your controller. In OpenGL, the rays are drawn in cyan when\n&quot; &quot;they are not obstructed and in purple when they are. In case a ray is\n&quot; &quot;obstructed, a black dot is drawn where the intersection occurred.\n&quot; &quot;To turn this functionality on, add the attribute \&quot;show_rays\&quot; as in this\n&quot; &quot;example:\n\n&quot; &quot;  &lt;controllers&gt;\n&quot; &quot;    ...\n&quot; &quot;    &lt;my_controller ...&gt;\n&quot; &quot;      ...\n&quot; &quot;      &lt;sensors&gt;\n&quot; &quot;        ...\n&quot; &quot;        &lt;colored_blob_perspective_camera implementation=\&quot;default\&quot;\n&quot; &quot;                                         medium=\&quot;leds\&quot; /&gt;\n&quot; &quot;                                         show_rays=\&quot;true\&quot; /&gt;\n&quot; &quot;        ...\n&quot; &quot;      &lt;/sensors&gt;\n&quot; &quot;      ...\n&quot; &quot;    &lt;/my_controller&gt;\n&quot; &quot;    ...\n&quot; &quot;  &lt;/controllers&gt;\n\n&quot; &quot;It is possible to add uniform noise to the blobs, thus matching the\n&quot; &quot;characteristics of a real robot better. This can be done with the attribute\n&quot; &quot;\&quot;noise_std_dev\&quot;.\n\n&quot; &quot;  &lt;controllers&gt;\n&quot; &quot;    ...\n&quot; &quot;    &lt;my_controller ...&gt;\n&quot; &quot;      ...\n&quot; &quot;      &lt;sensors&gt;\n&quot; &quot;        ...\n&quot; &quot;        &lt;colored_blob_perspective_camera implementation=\&quot;default\&quot;\n&quot; &quot;                                         medium=\&quot;leds\&quot; /&gt;\n&quot; &quot;                                         noise_std_dev=\&quot;0.1\&quot; /&gt;\n&quot; &quot;        ...\n&quot; &quot;      &lt;/sensors&gt;\n&quot; &quot;      ...\n&quot; &quot;    &lt;/my_controller&gt;\n&quot; &quot;    ...\n&quot; &quot;  &lt;/controllers&gt;\n&quot;, &quot;Usable&quot;)</td></tr>
<tr class="separator:a1b53c1127b6f64cfdf89fc17e614d8c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17799cc6e40474a041d229dfb7e306c1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html#a17799cc6e40474a041d229dfb7e306c1">REGISTER_ENTITY</a> (<a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a>, &quot;crazyflie&quot;, &quot;Daniel H. Stolfi based on the Carlo Pinciroli's work&quot;, &quot;1.0&quot;, &quot;The crazyflie drone, developed by Bitcraze.&quot;, &quot;The crazyflie is a quad-rotor developed by Bitcraze. It is a\n&quot; &quot;fully autonomous drone with four propellers and a single bottom led.\n\n&quot; &quot;REQUIRED XML CONFIGURATION\n\n&quot; &quot;  &lt;arena ...&gt;\n&quot; &quot;    ...\n&quot; &quot;    &lt;crazyflie id=\&quot;cf0\&quot;&gt;\n&quot; &quot;      &lt;body position=\&quot;0.4,2.3,0.25\&quot; orientation=\&quot;45,0,0\&quot; /&gt;\n&quot; &quot;      &lt;controller config=\&quot;mycntrl\&quot; /&gt;\n&quot; &quot;    &lt;/crazyflie&gt;\n&quot; &quot;    ...\n&quot; &quot;  &lt;/arena&gt;\n\n&quot; &quot;The 'id' attribute is necessary and must be unique among the entities. If two\n&quot; &quot;entities share the same id, initialization aborts.\n&quot; &quot;The 'body/position' attribute specifies the position of the bottom point of the\n&quot; &quot;crazyflie in the arena.\n&quot; &quot;The 'body/orientation' attribute specifies the orientation of the crazyflie. All\n&quot; &quot;rotations are performed with respect to the bottom point. The order of the\n&quot; &quot;angles is Z,Y,X, which means that the first number corresponds to the rotation\n&quot; &quot;around the Z axis, the second around Y and the last around X. This reflects\n&quot; &quot;the internal convention used in ARGoS, in which rotations are performed in\n&quot; &quot;that order. Angles are expressed in degrees. When the drone is unrotated, it\n&quot; &quot;is oriented along the X axis.\n&quot; &quot;The 'controller/config' attribute is used to assign a controller to the\n&quot; &quot;crazyflie. The value of the attribute must be set to the id of a previously\n&quot; &quot;defined controller. Controllers are defined in the &lt;controllers&gt; XML subtree.\n\n&quot; &quot;OPTIONAL XML CONFIGURATION\n\n&quot; &quot;You can set the emission range of the range-and-bearing system. By default, a\n&quot; &quot;message sent by an crazyflie can be received up to 3m. By using the 'rab_range'\n&quot; &quot;attribute, you can change it to, i.e., 4m as follows:\n\n&quot; &quot;  &lt;arena ...&gt;\n&quot; &quot;    ...\n&quot; &quot;    &lt;crazyflie id=\&quot;cf0\&quot; rab_range=\&quot;4\&quot;&gt;\n&quot; &quot;      &lt;body position=\&quot;0.4,2.3,0.25\&quot; orientation=\&quot;45,0,0\&quot; /&gt;\n&quot; &quot;      &lt;controller config=\&quot;mycntrl\&quot; /&gt;\n&quot; &quot;    &lt;/crazyflie&gt;\n&quot; &quot;    ...\n&quot; &quot;  &lt;/arena&gt;\n\n&quot; &quot;You can also set the data sent at each time step through the range-and-bearing\n&quot; &quot;system. By default, a message sent by a crazyflie is 10 bytes long. By using the\n&quot; &quot;'rab_data_size' attribute, you can change it to, i.e., 20 bytes as follows:\n\n&quot; &quot;  &lt;arena ...&gt;\n&quot; &quot;    ...\n&quot; &quot;    &lt;crazyflie id=\&quot;cf0\&quot; rab_data_size=\&quot;20\&quot;&gt;\n&quot; &quot;      &lt;body position=\&quot;0.4,2.3,0.25\&quot; orientation=\&quot;45,0,0\&quot; /&gt;\n&quot; &quot;      &lt;controller config=\&quot;mycntrl\&quot; /&gt;\n&quot; &quot;    &lt;/crazyflie&gt;\n&quot; &quot;    ...\n&quot; &quot;  &lt;/arena&gt;\n\n&quot; &quot;You can also configure the battery of the robot. By default, the battery never\n&quot; &quot;depletes. You can also define the battery's initial charge.\n\n&quot; &quot;  &lt;arena ...&gt;\n&quot; &quot;    ...\n&quot; &quot;    &lt;crazyflie id=\&quot;cf0\&quot;\n&quot; &quot;      &lt;body position=\&quot;0.4,2.3,0.25\&quot; orientation=\&quot;45,0,0\&quot; /&gt;\n&quot; &quot;      &lt;controller config=\&quot;mycntrl\&quot; /&gt;\n&quot; &quot;      &lt;crazyflie_battery start_charge=\&quot;0.8\&quot;/&gt;\n&quot; &quot;    &lt;/crazyflie&gt;\n&quot; &quot;    ...\n&quot; &quot;  &lt;/arena&gt;\n\n&quot;, &quot;Usable&quot;)</td></tr>
<tr class="separator:a17799cc6e40474a041d229dfb7e306c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb1b849098ae99824bab846a63545bb5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html#abb1b849098ae99824bab846a63545bb5">REGISTER_STANDARD_SPACE_OPERATIONS_ON_COMPOSABLE</a> (<a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a>)</td></tr>
<tr class="separator:abb1b849098ae99824bab846a63545bb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bbda8f78e192329d64cadb8d7376291"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html#a0bbda8f78e192329d64cadb8d7376291">REGISTER_STANDARD_POINTMASS3D_OPERATIONS_ON_ENTITY</a> (<a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a>, <a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">CPointMass3DCrazyflieModel</a>)</td></tr>
<tr class="separator:a0bbda8f78e192329d64cadb8d7376291"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e1377d0be57b28208587d14bf2fa9ca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html#a9e1377d0be57b28208587d14bf2fa9ca">REGISTER_QTOPENGL_ENTITY_OPERATION</a> (CQTOpenGLOperationDrawNormal, <a class="el" href="classargos_1_1CQTOpenGLOperationDrawCrazyflieNormal.html">CQTOpenGLOperationDrawCrazyflieNormal</a>, <a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a>)</td></tr>
<tr class="separator:a9e1377d0be57b28208587d14bf2fa9ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a465ff4d4535cf96131061afe71c839b0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html#a465ff4d4535cf96131061afe71c839b0">REGISTER_QTOPENGL_ENTITY_OPERATION</a> (CQTOpenGLOperationDrawSelected, <a class="el" href="classargos_1_1CQTOpenGLOperationDrawCrazyflieSelected.html">CQTOpenGLOperationDrawCrazyflieSelected</a>, <a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a>)</td></tr>
<tr class="separator:a465ff4d4535cf96131061afe71c839b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a17799cc6e40474a041d229dfb7e306c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17799cc6e40474a041d229dfb7e306c1">&#9670;&nbsp;</a></span>REGISTER_ENTITY()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::REGISTER_ENTITY </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;crazyflie&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;Daniel H. Stolfi based on the Carlo Pinciroli's work&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;1.0&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;The crazyflie&#160;</td>
          <td class="paramname"><em>drone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">developed by Bitcraze.&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;The crazyflie is a quad-rotor developed by Bitcraze. It is a\n&quot; &quot;fully autonomous drone with four propellers and a single bottom led.\n\n&quot; &quot;REQUIRED XML CONFIGURATION\n\n&quot; &quot; &lt;arena ...&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;crazyflie id=\&quot;cf0\&quot;&gt;\n&quot; &quot; &lt;body position=\&quot;0.4,2.3,0.25\&quot; orientation=\&quot;45,0,0\&quot; /&gt;\n&quot; &quot; &lt;controller config=\&quot;mycntrl\&quot; /&gt;\n&quot; &quot; &lt;/crazyflie&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;/arena&gt;\n\n&quot; &quot;The 'id' attribute is necessary and must be unique among the entities. If two\n&quot; &quot;entities share the same&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">initialization aborts.\n&quot; &quot;The 'body/position' attribute specifies the position of the bottom point of the\n&quot; &quot;crazyflie in the arena.\n&quot; &quot;The 'body/orientation' attribute specifies the orientation of the crazyflie. All\n&quot; &quot;rotations are performed with respect to the bottom point. The order of the\n&quot; &quot;angles is&#160;</td>
          <td class="paramname"><em>Z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Y&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">X&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">which means that the first number corresponds to the rotation\n&quot; &quot;around the Z&#160;</td>
          <td class="paramname"><em>axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">the second around Y and the last around X. This reflects\n&quot; &quot;the internal convention used in&#160;</td>
          <td class="paramname"><em>ARGoS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in which rotations are performed in\n&quot; &quot;that order. Angles are expressed in degrees. When the drone is&#160;</td>
          <td class="paramname"><em>unrotated</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">it\n&quot; &quot;is oriented along the X axis.\n&quot; &quot;The 'controller/config' attribute is used to assign a controller to the\n&quot; &quot;crazyflie. The value of the attribute must be set to the id of a previously\n&quot; &quot;defined controller. Controllers are defined in the&lt; controllers &gt; XML subtree.\n\n&quot; &quot;OPTIONAL XML CONFIGURATION\n\n&quot; &quot;You can set the emission range of the range-and-bearing system. By&#160;</td>
          <td class="paramname"><em>default</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">a\n&quot; &quot;message sent by an crazyflie can be received up to 3m. By using the 'rab_range'\n&quot; &quot;&#160;</td>
          <td class="paramname"><em>attribute</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">you can change it&#160;</td>
          <td class="paramname"><em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">i.&#160;</td>
          <td class="paramname"><em>e.</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">4m as follows:\n\n&quot; &quot;&lt; arena ... &gt;\n&quot; &quot; ...\n&quot; &quot;&lt; crazyflie id=\&quot;cf0\&quot; rab_range=\&quot;4\&quot;&gt;\n&quot; &quot; &lt;body position=\&quot;0.4,2.3,0.25\&quot; orientation=\&quot;45,0,0\&quot; /&gt;\n&quot; &quot; &lt;controller config=\&quot;mycntrl\&quot; /&gt;\n&quot; &quot; &lt;/crazyflie&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;/arena&gt;\n\n&quot; &quot;You can also set the data sent at each time step through the range-and-bearing\n&quot; &quot;system. By&#160;</td>
          <td class="paramname"><em>default</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">a message sent by a crazyflie is 10 bytes long. By using the\n&quot; &quot; 'rab_data_size'&#160;</td>
          <td class="paramname"><em>attribute</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">you can change it&#160;</td>
          <td class="paramname"><em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">i.&#160;</td>
          <td class="paramname"><em>e.</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">20 bytes as follows:\n\n&quot; &quot;&lt; arena ... &gt;\n&quot; &quot; ...\n&quot; &quot;&lt; crazyflie id=\&quot;cf0\&quot; rab_data_size=\&quot;20\&quot;&gt;\n&quot; &quot; &lt;body position=\&quot;0.4,2.3,0.25\&quot; orientation=\&quot;45,0,0\&quot; /&gt;\n&quot; &quot; &lt;controller config=\&quot;mycntrl\&quot; /&gt;\n&quot; &quot; &lt;/crazyflie&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;/arena&gt;\n\n&quot; &quot;You can also configure the battery of the robot. By&#160;</td>
          <td class="paramname"><em>default</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9e1377d0be57b28208587d14bf2fa9ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e1377d0be57b28208587d14bf2fa9ca">&#9670;&nbsp;</a></span>REGISTER_QTOPENGL_ENTITY_OPERATION() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::REGISTER_QTOPENGL_ENTITY_OPERATION </td>
          <td>(</td>
          <td class="paramtype">CQTOpenGLOperationDrawNormal&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classargos_1_1CQTOpenGLOperationDrawCrazyflieNormal.html">CQTOpenGLOperationDrawCrazyflieNormal</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a465ff4d4535cf96131061afe71c839b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a465ff4d4535cf96131061afe71c839b0">&#9670;&nbsp;</a></span>REGISTER_QTOPENGL_ENTITY_OPERATION() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::REGISTER_QTOPENGL_ENTITY_OPERATION </td>
          <td>(</td>
          <td class="paramtype">CQTOpenGLOperationDrawSelected&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classargos_1_1CQTOpenGLOperationDrawCrazyflieSelected.html">CQTOpenGLOperationDrawCrazyflieSelected</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8fa76cc501e50bccf483198c034cdeff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fa76cc501e50bccf483198c034cdeff">&#9670;&nbsp;</a></span>REGISTER_SENSOR() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::REGISTER_SENSOR </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">CCrazyflieBatteryDefaultSensor</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;crazyflie_battery&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;default&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;Daniel H. Stolfi based on the Adhavan Jayabalan's work&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;1.0&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;A battery level sensor for Crazyflie drones.&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;This sensor returns the current battery level of a Crazyflie drone. In\n&quot; &quot;&#160;</td>
          <td class="paramname"><em>controllers</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">you must include the ci_battery_sensor.h header.\n\n&quot; &quot;This sensor is enabled by default.\n\n&quot; &quot;REQUIRED XML CONFIGURATION\n\n&quot; &quot;&lt; controllers &gt;\n&quot; &quot; ...\n&quot; &quot;&lt; my_controller ... &gt;\n&quot; &quot; ...\n&quot; &quot;&lt; sensors &gt;\n&quot; &quot; ...\n&quot; &quot;&lt; crazyflie_battery implementation=\&quot;default\&quot; /&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;/sensors&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;/my_controller&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;/controllers&gt;\n\n&quot; &quot;OPTIONAL XML CONFIGURATION\n\n&quot; &quot;It is possible to add uniform noise to the&#160;</td>
          <td class="paramname"><em>sensor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">thus matching the\n&quot; &quot;characteristics of a real robot better. You can add noise through the\n&quot; &quot;attribute 'noise_range' as follows:\n\n&quot; &quot;&lt; controllers &gt;\n&quot; &quot; ...\n&quot; &quot;&lt; my_controller ... &gt;\n&quot; &quot; ...\n&quot; &quot;&lt; sensors &gt;\n&quot; &quot; ...\n&quot; &quot;&lt; crazyflie_battery implementation=\&quot;default\&quot;\n&quot; &quot;                           noise_range=\&quot;-0.3:0.4\&quot; /&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;/sensors&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;/my_controller&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;/controllers&gt;\n\n&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;Usable&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1b53c1127b6f64cfdf89fc17e614d8c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b53c1127b6f64cfdf89fc17e614d8c1">&#9670;&nbsp;</a></span>REGISTER_SENSOR() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::REGISTER_SENSOR </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;crazyflie_colored_blob_perspective_camera&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;default&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;Daniel H. Stolfi based on Carlo Pinciroli's work&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;1.0&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;A generic perspective camera sensor to detect colored blobs.&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;This sensor accesses an perspective camera that detects colored blobs. The\n&quot; &quot;sensor returns a list of&#160;</td>
          <td class="paramname"><em>blobs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">each defined by a color and a position with\n&quot; &quot;respect to the robot reference point on the ground. In&#160;</td>
          <td class="paramname"><em>controllers</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">you must\n&quot; &quot;include the ci_colored_blob_perspective_camera_sensor.h header.\n\n&quot; &quot;This sensor is disabled by&#160;</td>
          <td class="paramname"><em>default</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">and must be enabled before it can be\n&quot; &quot;used.\n\n&quot; &quot;REQUIRED XML CONFIGURATION\n\n&quot; &quot;&lt; controllers &gt;\n&quot; &quot; ...\n&quot; &quot;&lt; my_controller ... &gt;\n&quot; &quot; ...\n&quot; &quot;&lt; sensors &gt;\n&quot; &quot; ...\n&quot; &quot;&lt; colored_blob_perspective_camera implementation=\&quot;default\&quot;\n&quot; &quot;                                         medium=\&quot;leds\&quot; /&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;/sensors&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;/my_controller&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;/controllers&gt;\n\n&quot; &quot;The 'medium' attribute must be set to the id of the leds medium declared in the\n&quot; &quot;&lt;media&gt; section.\n\n&quot; &quot;OPTIONAL XML CONFIGURATION\n\n&quot; &quot;It is possible to draw the rays shot by the camera sensor in the OpenGL\n&quot; &quot;visualization. This can be useful for sensor debugging but also to understand\n&quot; &quot;what's wrong in your controller. In&#160;</td>
          <td class="paramname"><em>OpenGL</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">the rays are drawn in cyan when\n&quot; &quot;they are not obstructed and in purple when they are. In case a ray is\n&quot; &quot;&#160;</td>
          <td class="paramname"><em>obstructed</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">a black dot is drawn where the intersection occurred.\n&quot; &quot;To turn this functionality&#160;</td>
          <td class="paramname"><em>on</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">add the attribute \&quot;show_rays\&quot; as in this\n&quot; &quot;example:\n\n&quot; &quot; &lt;controllers&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;my_controller ...&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;sensors&gt;\n&quot; &quot; ...\n&quot; &quot; &lt;colored_blob_perspective_camera implementation=\&quot;default\&quot;\n&quot; &quot;                                         medium=\&quot;leds\&quot; /&gt;\n&quot; &quot;&#160;</td>
          <td class="paramname"><em>show_rays</em> = <code>\&quot;true\&quot;&#160;/&gt;\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;...\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&#160;&#160;&lt;/sensors&gt;\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&#160;&#160;...\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&lt;/my_controller&gt;\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;...\n&quot;&#160;&quot;&#160;&#160;&lt;/controllers&gt;\n\n&quot;&#160;&quot;It&#160;is&#160;possible&#160;to&#160;add&#160;uniform&#160;noise&#160;to&#160;the&#160;blobs,&#160;thus&#160;matching&#160;the\n&quot;&#160;&quot;characteristics&#160;of&#160;a&#160;real&#160;robot&#160;better.&#160;This&#160;can&#160;be&#160;done&#160;with&#160;the&#160;attribute\n&quot;&#160;&quot;\&quot;noise_std_dev\&quot;.\n\n&quot;&#160;&quot;&#160;&#160;&lt;controllers&gt;\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;...\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&lt;my_controller&#160;...&gt;\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&#160;&#160;...\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&#160;&#160;&lt;sensors&gt;\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;...\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&lt;colored_blob_perspective_camera&#160;implementation=\&quot;default\&quot;\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;medium=\&quot;leds\&quot;&#160;/&gt;\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;noise_std_dev=\&quot;0.1\&quot;&#160;/&gt;\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;...\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&#160;&#160;&lt;/sensors&gt;\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&#160;&#160;...\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;&lt;/my_controller&gt;\n&quot;&#160;&quot;&#160;&#160;&#160;&#160;...\n&quot;&#160;&quot;&#160;&#160;&lt;/controllers&gt;\n&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;Usable&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0bbda8f78e192329d64cadb8d7376291"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bbda8f78e192329d64cadb8d7376291">&#9670;&nbsp;</a></span>REGISTER_STANDARD_POINTMASS3D_OPERATIONS_ON_ENTITY()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::REGISTER_STANDARD_POINTMASS3D_OPERATIONS_ON_ENTITY </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">CPointMass3DCrazyflieModel</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abb1b849098ae99824bab846a63545bb5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb1b849098ae99824bab846a63545bb5">&#9670;&nbsp;</a></span>REGISTER_STANDARD_SPACE_OPERATIONS_ON_COMPOSABLE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::REGISTER_STANDARD_SPACE_OPERATIONS_ON_COMPOSABLE </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adaf61577fa52c91edf29de52f1403ebd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adaf61577fa52c91edf29de52f1403ebd">&#9670;&nbsp;</a></span>REGISTER_STANDARD_SPACE_OPERATIONS_ON_ENTITY() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::REGISTER_STANDARD_SPACE_OPERATIONS_ON_ENTITY </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">CCrazyflieBatteryEquippedEntity</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9f9885781b0a8c7ef4b0308a4a48916a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f9885781b0a8c7ef4b0308a4a48916a">&#9670;&nbsp;</a></span>REGISTER_STANDARD_SPACE_OPERATIONS_ON_ENTITY() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::REGISTER_STANDARD_SPACE_OPERATIONS_ON_ENTITY </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">CCrazyflieCameraEquippedEntity</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
